/******************************************************************************
*
* AntiMafia
* Copyright (C) 2002 by [epidemiC] AntiMafia
* Newtella
* Copyright (C) 2000 by Newtella Inc.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
******************************************************************************/


// ConfigAdvancedNetworkPage.cpp : implementation file
//

#include "stdafx.h"
#include "AntiMafia.h"
#include "ConfigAdvancedNetworkPage.h"

/////////////////////////////////////////////////////////////////////////////
// CConfigAdvancedNetworkPage property page

IMPLEMENT_DYNCREATE(CConfigAdvancedNetworkPage, CPropertyPage)

CConfigAdvancedNetworkPage::CConfigAdvancedNetworkPage() : CPropertyPage(CConfigAdvancedNetworkPage::IDD)
{
	//{{AFX_DATA_INIT(CConfigAdvancedNetworkPage)
	m_ForceLocalIP = _T("");
	m_ListenPort = 0;
	m_MaxResults = 0;
	//}}AFX_DATA_INIT
}

CConfigAdvancedNetworkPage::~CConfigAdvancedNetworkPage()
{
}

void CConfigAdvancedNetworkPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigAdvancedNetworkPage)
	DDX_Text(pDX, IDC_FORCELOCALIP, m_ForceLocalIP);
	DDX_Text(pDX, IDC_LISTENPORT, m_ListenPort);
	DDV_MinMaxUInt(pDX, m_ListenPort, 1025, 32767);
	DDX_Text(pDX, IDC_MAXRESULTS, m_MaxResults);
	DDV_MinMaxUInt(pDX, m_MaxResults, 1, 256);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigAdvancedNetworkPage, CPropertyPage)
	//{{AFX_MSG_MAP(CConfigAdvancedNetworkPage)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfigAdvancedNetworkPage message handlers
