/******************************************************************************
*
* AntiMafia
* Copyright (C) 2002 by [epidemiC] AntiMafia
* Newtella
* Copyright (C) 2000 by Newtella Inc.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
******************************************************************************/

#define MAX_TEMPBUF_LEN 4096


typedef BYTE GLUID[16];
typedef BYTE HASH[20];
union IP
{
	BYTE chars[4];
	DWORD dword;
};


// Macros

#ifndef SUCCEEDED
#define SUCCEEDED(x) ((x)>=0)
#endif
#ifndef FAILED
#define FAILED(x) ((x)<0)
#endif
#ifndef MAKEWORD
#define MAKEWORD(a, b) \
	((WORD) (((BYTE) (a)) | ((WORD) ((BYTE) (b))) << 8)) 
#endif
#ifndef MIN
#define MIN(a, b)  (((a) < (b)) ? (a) : (b))
#endif
#ifndef MAX
#define MAX(a, b)  (((a) > (b)) ? (a) : (b))
#endif
