#ifndef LOGGER_INCLUDED
#define LOGGER_INCLUDED

class Logger
{
public:
	int Log(const char *format, ...);
	void LogGnutellaHeader(GnutellaHeader& gh);
	void LogGnutellaQuery(GnutellaQuery& gq);
	static Logger *Instance();

private:
	Logger();
	static Logger *s_this;
	static const char *logfilename;
	bool m_bDebug;
};

#endif LOGGER_INCLUDED